Bug 172565 - compile with gd
compile with gd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-07 06:10 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 06:31:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-11-07 06:10:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The new gd based png rendering is better. With the patch that avoid x crashing I didn't have any issue on FC 4 with that configuration.

There is an issue, though, as the gd back-end uses true type fonts and there are not so many in fc core, so the user still has to update by hand his GDFONTPATH. It is well documented in the gnuplot manual so I believe it is better than not having this functionality compiled in. Furthermore it is still possible to use the old driver and the behaviour of the program will match the manual.

Version-Release number of selected component (if applicable):
gnuplot-4.0.0-10

How reproducible:
Always

Steps to Reproduce:
1. use the new png terminal options
2.
3.
  

Additional info:
Comment 1 Patrice Dumas 2005-11-07 06:19:40 EST
Hum, after reading the manual once more it appears that the old driver cannot be
used together with the new driver... So there is a backward compatibility issue,
still I think using the gd based backend is the way to go...
Comment 2 José Matos 2006-01-25 11:46:28 EST
The new backend supports all the options of the old one, doesn't it? 
 
The change would require to change in BuildRequires gd, instead of libpng 
(and zlib). 
Comment 3 Patrice Dumas 2006-02-05 08:11:12 EST
(In reply to comment #2)
> The new backend supports all the options of the old one, doesn't it? 

Not really. The options are not the same. For example there is no gray option
for the new backend.
Comment 4 R P Herrold 2006-07-14 22:52:54 EDT
This bug and https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173922 share
common buildtime needs for a BuildReq: gd-devel

What is the problem in proceeding to add it, to resolve both, please, packaging
maintainer?
Comment 5 Ivana Varekova 2006-12-21 06:31:51 EST
Fixed in gnuplot-4.0.0-14.fc7.

Note You need to log in before you can comment on or make changes to this bug.